VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ControlAdapter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private ctrl As Control

Public Sub init(ctl As Control)
  Set ctrl = ctl  'Przechowaj kontrolkę
End Sub
Public Sub addText(sw As Swimmer)
  'Dodaj nowy wiersz do listy lub tabeli
  ctrl.AddItem sw.getName & vbTab & Format$(sw.getTime, "##.00")
End Sub
